Intel® FPGA SDK for OpenCL™ Pro Edition: Getting Started Guide

ID 683188
Date 12/19/2022
Public
Document Table of Contents
Give Feedback

1.2. Intel® FPGA SDK for OpenCL™ Pro Edition and OpenCL BSP Backwards Compatibility

The Intel® FPGA SDK for OpenCL™ Pro Edition Version 22.4 compiler is compatible with OpenCL board support package (BSP) Version 20.2 and Intel® Acceleration Stack Version 2.0.1 and Version 1.2.1. This backwards compatibility allows you to use older OpenCL BSPs with newer compilers. However, some newer OpenCL compiler features might not be available to use with older OpenCL BSPs.
Note: Starting from the 20.3 release, Intel® has removed the support for Windows and Linux OpenCL BSPs. Use version 20.2 or older OpenCL BSPs available at FPGA Software Download Center as a reference. If you want to migrate your OpenCL BSP to a newer version, follow the recommended steps provided in the Reference Platform Porting Guides available under Intel FPGA SDK for OpenCL documentation.

To use an older OpenCL BSP with the Intel® FPGA SDK for OpenCL™ , you must have a version of Intel® Quartus® Prime Pro Edition with the same version number as your OpenCL BSP. For example, to use a Version 20.2 BSP with Intel® FPGA SDK for OpenCL™ Pro Edition Version 22.4, you need Intel® Quartus® Prime Pro Edition Version 20.2.